Get webhook event configuration
GET
/webhook
const url = 'https://client-api.abi.ai/webhook';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://client-api.abi.ai/webhook \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Webhook event configuration returned for the authenticated partner.
Media typeapplication/json
Result returned when listing, registering, or removing webhook subscriptions.
object
success
Whether the requested configuration change or lookup succeeded.
boolean
message
Human-readable outcome summary.
string
eventList
Current event subscriptions after the operation
Array<object>
An event subscription returned in the partner’s webhook configuration.
object
name
Registered event name.
string
url
HTTPS endpoint configured for the event.
string format: uri
Example
{ "success": true, "message": "Webhook configuration updated.", "eventList": [ { "name": "questionResolved", "url": "https://partner.example/webhooks/abi/question-resolved" }, { "name": "caseClosed", "url": "https://partner.example/webhooks/abi/case-closed" } ]}Request could not be completed.
Media typeapplication/json
object
code
Short machine-readable error code.
string
message
Human-readable explanation of the error.
string
Examplegenerated
{ "code": "example", "message": "example"}